# Class ITestElement.ProgressState

java.lang.Object
org.eclipse.jdt.junit.model.ITestElement.ProgressState

Enclosing interface:
  `ITestElement`

public static final class ITestElement.ProgressState extends Object
Running states of a test.

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ITestElement.ProgressState`
`COMPLETED`
state that describes that the test element has completed
`static final ITestElement.ProgressState`
`NOT_STARTED`
state that describes that the test element has not started
`static final ITestElement.ProgressState`
`RUNNING`
state that describes that the test element has is running
`static final ITestElement.ProgressState`
`STOPPED`
state that describes that the test element has been stopped before being completed

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NOT_STARTED

public static final ITestElement.ProgressState NOT_STARTED
state that describes that the test element has not started

### RUNNING

public static final ITestElement.ProgressState RUNNING
state that describes that the test element has is running

### STOPPED

public static final ITestElement.ProgressState STOPPED
state that describes that the test element has been stopped before being completed

### COMPLETED

public static final ITestElement.ProgressState COMPLETED
state that describes that the test element has completed

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`